summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Friesel <derf@derf.homelinux.org>2008-05-19 21:01:58 +0200
committerDaniel Friesel <derf@derf.homelinux.org>2008-05-19 21:01:58 +0200
commit3c3240157f18c7f1d4074e25279207da37cc62da (patch)
tree114ca8fd656d76b7649e335036f074c4d0707bb4
parent66321de637001ac6d216541e71a2a22591aaf20a (diff)
bin/pkg: Be more silent
-rwxr-xr-xbin/pkg10
1 files changed, 6 insertions, 4 deletions
diff --git a/bin/pkg b/bin/pkg
index 731c4a1..a88a691 100755
--- a/bin/pkg
+++ b/bin/pkg
@@ -3,6 +3,8 @@ PDIR="$HOME/packages"
PKG_ROOT="ssh://derf.homelinux.org/packages"
local info=$'\e[0;36m'
local reset=$'\e[0m'
+local HG_OPTIONS='--quiet'
+local CL_OPTIONS='-q'
echo_status () {
echo "${info}$*${reset}"
@@ -20,14 +22,14 @@ pkg_add () {
fi
cd $PDIR || return 255
echo_status 'Retrieving package...'
- hg clone $PKG_ROOT/$1 || return 255
+ hg $HG_OPTIONS clone $PKG_ROOT/$1 || return 255
if [ -f $1/hooks/post-add ]; then
echo_status 'Executing post-add hook'
. $1/hooks/post-add
fi
echo_status 'Checking symlinks...'
cd $1
- checklinks
+ checklinks $CL_OPTIONS
return 0
}
@@ -49,8 +51,8 @@ pkg_update () {
for i in *(/); {
echo_status "Updating package $i..."
cd $i
- hg fetch
- checklinks
+ hg $HG_OPTIONS fetch
+ checklinks $CL_OPTIONS
if [ -f hooks/post-update ]; then
echo_status 'Executing post-update hook'
. hooks/post-update